petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISColoringRestoreIS

Restores the index sets extracted from the coloring context

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISColoringRestoreIS(ISColoring iscoloring,PetscCopyMode mode,IS *is[])

Collective on ISColoring

### Input Parameter

| iscoloring | - the coloring context
| mode | - who retains ownership of the is
| is | - array of index sets

### See Also

ISColoringGetIS(), ISColoringView()

### Level

advanced

### Location

src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages